summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordrebs <drebs@leap.se>2017-04-26 14:01:47 +0200
committerdrebs <drebs@leap.se>2017-07-03 14:20:04 -0300
commit24ea31a8f44e6498e18a4336b5605249f4b58c9a (patch)
tree4a748f1ea22fa0b8835ab22ab6e008046f3b1773
parente72f5a2a2316d2f27e38ebd0080edf96c6f14a46 (diff)
[test] Add timestamp, commit id and exit status to results.txt
-rwxr-xr-xbenchmark-all-commits.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/benchmark-all-commits.sh b/benchmark-all-commits.sh
index aec50e3f..8bab6105 100755
--- a/benchmark-all-commits.sh
+++ b/benchmark-all-commits.sh
@@ -42,6 +42,10 @@ do
# Option 2: Run couchdb + tox in docker container using gitlab-runner
git checkout origin/benchmark-all-commits .gitlab-ci.yml
time gitlab-runner exec docker benchmark --env PYTEST_OPTS="$PYTEST_OPTS" --env HOST_HOSTNAME="$(hostname)"
+
+ code=$?
+ echo "$(date -Iseconds) ${commit_id} ${code}" >> results.txt
+
echo
echo -e "\e[34m$(date): Finished benchmarking of commit ${commit_id:0:8}, which is $(git rev-list --count ${commit_id}..origin/master) commits back from master:\e[0m"
echo